#include <Wire.h>

#define NODE 1
#define address 0x35

void setup() {
  // put your setup code here, to run once:
  Serial.begin(9600);
  Wire.begin();
  Wire.setClock(400000);
  //
  // reset TLE493D
  //
  Wire.beginTransmission(address);
  Wire.write(0xFF);
  Wire.endTransmission();
  Wire.beginTransmission(address);
  Wire.write(0xFF);
  Wire.endTransmission();
  Wire.beginTransmission(address);
  Wire.write(0x00);
  Wire.endTransmission();
  Wire.beginTransmission(address);
  Wire.write(0x00);
  Wire.endTransmission();
  delayMicroseconds(50);
   //
   // configure TLE493D
   //
  Wire.beginTransmission(address);
  Wire.write(0x10);
  Wire.write(0x28);
      // config register 0x10
      // ADC trigger on read after register 0x05
      // short-range sensitivity
  Wire.write(0x15);
      // mode register 0x11
      // 1-byte read protocol
      // interrupt disabled
      // master controlled mode
  Wire.endTransmission();
}

void loop() {
  // put your main code here, to run repeatedly:
  uint8_t data[6];
   //
   // read data
   //
  while (Serial.available() == 0);
  int inputNode = Serial.parseInt();
  if (inputNode == NODE) {
    Wire.requestFrom(address,6);
    for (int i = 0; i < 6; ++i) {
     data[i] = Wire.read();
    }
    for (int i = 0; i < 6; ++i) {
     Serial.println(data[i]);
    }
  }
}
